Get deposits tagged with a distributor code into one vault
curl --request GET \
--url https://api.kamino.finance/kvaults/distributors/{code}/vaults/{vault}/transactionsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/distributors/{code}/vaults/{vault}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/distributors/{code}/vaults/{vault}/transactions"
response = requests.get(url)
print(response.text)false{
"result": [
{
"createdOn": "2025-03-01T12:00:00.000Z",
"tx": "2XWcSQVtR4NoHBhzYpDkYkmYtEFkFXC5ZwrKiPok1kvA86GvnN15qP7RNP6eTeNWgJqgnR1GA2M3QPp1hucW7e1v",
"code": "k7m2x",
"wallet": "AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As",
"vault": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"tokenMint": "So11111111111111111111111111111111111111112",
"tokenSymbol": "USDC",
"amount": "1234.56789"
}
],
"paginationToken": "eyJsYXN0SWQiOjgxfQ=="
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "Not authorized for this request. Please include the basic auth headers."
}{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}Analytics
Get deposits for a distributor code in a vault
Cursor-paginated list of deposits into one Kamino Earn vault whose transaction carried this distributor code, newest first. Private (authorized) API access only, please add a basic auth header to your request.
GET
/
kvaults
/
distributors
/
{code}
/
vaults
/
{vault}
/
transactions
Get deposits tagged with a distributor code into one vault
curl --request GET \
--url https://api.kamino.finance/kvaults/distributors/{code}/vaults/{vault}/transactionsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/distributors/{code}/vaults/{vault}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/distributors/{code}/vaults/{vault}/transactions"
response = requests.get(url)
print(response.text)false{
"result": [
{
"createdOn": "2025-03-01T12:00:00.000Z",
"tx": "2XWcSQVtR4NoHBhzYpDkYkmYtEFkFXC5ZwrKiPok1kvA86GvnN15qP7RNP6eTeNWgJqgnR1GA2M3QPp1hucW7e1v",
"code": "k7m2x",
"wallet": "AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As",
"vault": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"tokenMint": "So11111111111111111111111111111111111111112",
"tokenSymbol": "USDC",
"amount": "1234.56789"
}
],
"paginationToken": "eyJsYXN0SWQiOjgxfQ=="
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "Not authorized for this request. Please include the basic auth headers."
}{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}Path Parameters
Distributor code, matched case-insensitively
Required string length:
5Example:
"k7m2x"
Kamino Earn vault address
Example:
"HDsayqBsE7bTE6ZJLDozDNhDHgc6BsDB1DTn5TBXn8hE"
Query Parameters
Maximum number of transactions to return (1-1000)
Required range:
1 <= x <= 1000Example:
100
Optional pagination token
Example:
"eyJsYXN0SWQiOjgxfQ=="
Date input (ISO 8601 string or epoch in ms)
Example:
"2024-01-01T00:00:00.000Z"
Date input (ISO 8601 string or epoch in ms)
Example:
"2024-01-01T00:00:00.000Z"